package com.chenyang.nse.bussiness.entity.orm.table.console;

import com.chenyang.nse.bussiness.entity.orm.table.TInitEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CONSOLE_SORT"
)
public class TConsoleSort extends TInitEntity {
   private String sortnum;

   public TConsoleSort() {
   }

   public TConsoleSort(String sortnum) {
      this.sortnum = sortnum;
   }

   public String getSortnum() {
      return this.sortnum;
   }

   public void setSortnum(String sortnum) {
      this.sortnum = sortnum;
   }

   public String toString() {
      return "TConsoleSort [sortnum=" + this.sortnum + "]";
   }

   public int hashCode() {
      int prime = 31;
      int result = 1;
      result = 31 * result + (this.sortnum == null ? 0 : this.sortnum.hashCode());
      return result;
   }

   public boolean equals(Object obj) {
      if (this == obj) {
         return true;
      } else if (obj == null) {
         return false;
      } else if (this.getClass() != obj.getClass()) {
         return false;
      } else {
         TConsoleSort other = (TConsoleSort)obj;
         if (this.sortnum == null) {
            if (other.sortnum != null) {
               return false;
            }
         } else if (!this.sortnum.equals(other.sortnum)) {
            return false;
         }

         return true;
      }
   }
}
